import request from '@/utils/request'

// 查询去势列表
export function listCastrate(query) {
  return request({
    url: '/produce/other/castrate/list',
    method: 'get',
    params: query
  })
}

// 查询去势详细
export function getCastrate(id) {
  return request({
    url: '/produce/other/castrate/' + id,
    method: 'get'
  })
}

// 新增去势
export function addCastrate(data) {
  return request({
    url: '/produce/other/castrate',
    method: 'post',
    data: data
  })
}

// 修改去势
export function updateCastrate(data) {
  return request({
    url: '/produce/other/castrate',
    method: 'put',
    data: data
  })
}

// 删除去势
export function delCastrate(id) {
  return request({
    url: '/produce/other/castrate/' + id,
    method: 'delete'
  })
}
